##  for Mageia 9  ##

%define ver 0.12.0
%define rel 1

%define git 0
%if %{git}
%define date 20240706
%define realrel %{rel}.%{date}.np9
%else
%define realrel %{rel}.np9
%endif

## turn off debuginfo package
%define debug_package %{nil}


Name:    jdim
Summary: A browser for 5ch type multi-threading BBS
Summary(ja): 5ちゃんねる型マルチスレッドBBS用ブラウザ
Version: %{ver}
Release: %{realrel}
Group:   Networking/WWW
License: GPLv2
URL:     https://github.com/JDimproved/JDim

%if %{git}
Source0: JDim-v%{version}-%{date}.tar.xz
%else
Source0: JDim-v%{version}.tar.xz
%endif
Source1: jdim-mga.desktop

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtkmm3.0-devel >= 3.24.0
BuildRequires: glibmm2.68-devel
BuildRequires: gnutls-devel >= 3.6.7
BuildRequires: zlib-devel
BuildRequires: libsm-devel
BuildRequires: libgdk_pixbuf2.0-devel
BuildRequires: libpthread-stubs
BuildRequires: meson

Requires: gtkmm3.0
Requires: glibmm2.68
Requires: gnutls
Requires: zlib

%description
JDim is a 5ch browser based on gtkmm.
JDim is forked from JD. The look and feel and environment setting are compatible with JD.

%description -l ja
JDim (JD improved) は "5ちゃんねる"型マルチスレッド BBS を閲覧するためのブラウザです。
JDim は GPLv2 の下で公開されている JD から fork したソフトウェアであり、ルック・アンド・フィールや環境設定は JD と互換性があります。


%prep
%if %{git}
%setup -q -n JDim-v%{version}-%{date}
%else
%setup -q -n JDim-v%{version}
%endif

sed -i 's|2chブラウザ|5chブラウザ|' src/jdversion.h


%build
%meson --auto-features=auto
%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

for i in 16 32 48 96;do \
  mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/$i"x"$i/apps; \
  install -p -m 644 src/icons/jd$i.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/$i"x"$i/apps/%{name}.png; \
done


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog CONTRIBUTING.md COPYING INSTALL README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/jdim.metainfo.xml
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Sun Jul 07 2024 tomcat <> 0.12.0-1.np9
- 0.12.0

* Sun Jan 14 2024 tomcat <> 0.11.0-1.np9
- 0.11.0

* Sun Nov 05 2023 tomcat <> 0.10.1-3.20231104.np9
- update to 20231104

* Sun Aug 06 2023 tomcat <> 0.10.1-2.20230802.np9
- update to 0.10.1-20230802 due to bug fix

* Mon Jul 24 2023 tomcat <> 0.10.1-1.np9
- 0.10.1

* Fri Jul 21 2023 tomcat <> 0.10.0-2.20230718.np9
- 0.10.0-20230718

* Fri Jul 14 2023 tomcat <> 0.10.0-1.20230713.np9
- build for Mageia 9
